#include <stdio.h>
#include "microclang.h"

const char* localString =  "local_pointer";

void test( int result, char *note )
{	if(result == 0) 
	{	printf("That failed (%s)\n", note); }
	else 
	{	printf("That worked (%s)\n", note); }
}

int main()
{	const char * libraryString = lib_getLibraryString();
	test(lib_testString(libraryString), "library string");

	test(lib_testString(localString), "local string");
	
	CXSourceRange_ range1 = clang_getArbitraryRange_();
	test(clang_getRangeEnd_(range1), "struct array library string");

	CXSourceRange_ range2 = {0};
	range2.ptr_data[0] = (void*)localString;
	test(clang_getRangeEnd_(range2), "struct array local string");
}

